Page MenuHomeFreeBSD

www/mod_http2-devel: Apache HTTP/2 module
ClosedPublic

Authored by brnrd on Feb 6 2016, 7:09 PM.

Details

Summary

Proposed commit log

www/mod_http2-devel: Apache HTTP/2 module

This is the early experience version of the Apache HTTP/2 module for people
who like living on the edge and want to test not yet released changes.

Reviewed_by:	feld (mentor), koobs (mentor)
Approved by: 	(mentor)
Differential_Revision:	D5220
Test Plan
  • poudriere testport
  • portlint -AC "looks fine."

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brnrd updated this revision to Diff 13098.Feb 6 2016, 7:09 PM
brnrd retitled this revision from to [NEW PORT] www/mod_http2-devel: Apache HTTP/2 module.
brnrd updated this object.
brnrd edited the test plan for this revision. (Show Details)
brnrd added reviewers: feld, koobs.
brnrd updated this revision to Diff 13099.Feb 6 2016, 7:12 PM

Update to 1.2.5 and portlint fixes

brnrd updated this object.Feb 6 2016, 7:13 PM
brnrd edited the test plan for this revision. (Show Details)
brnrd edited the test plan for this revision. (Show Details)Feb 6 2016, 7:21 PM
brnrd added a comment.Feb 6 2016, 7:26 PM

/var/log/httpd-error.log

[Sat Feb 06 20:24:30.168556 2016] [http2:info] [pid 61879] mod_http2 (v1.2.5, nghttp2 1.7.0), initializing...
[Sat Feb 06 20:24:30.259288 2016] [mpm_prefork:notice] [pid 61879] AH00163: Apache/2.4.18 (FreeBSD) LibreSSL/2.3.2 configured -- resuming normal operations

curl -v --http2

* Using HTTP2, server supports multi-use
* Connection state changed (HTTP/2 confirmed)
brnrd updated this revision to Diff 13810.Feb 26 2016, 9:04 PM

Update to version 1.2.6

brnrd retitled this revision from [NEW PORT] www/mod_http2-devel: Apache HTTP/2 module to www/mod_http2-devel: Apache HTTP/2 module.Feb 28 2016, 8:33 PM
brnrd updated this object.
brnrd updated this revision to Diff 13890.Feb 29 2016, 5:40 PM

www/mod_http2-devel: Update to 1.2.7

feld accepted this revision.Feb 29 2016, 10:23 PM
feld edited edge metadata.

builds fine for me

This revision is now accepted and ready to land.Feb 29 2016, 10:23 PM
This revision was automatically updated to reflect the committed changes.